> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest an OTLP metric batch



## OpenAPI

````yaml /public-openapi.json post /otel/v1/metrics
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /otel/v1/metrics:
    post:
      tags:
        - Observability
      summary: Ingest an OTLP metric batch
      operationId: otel.ingestMetrics
      parameters:
        - name: X-Atlan-Workspace-Id
          in: header
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: Content-Encoding
          in: header
          required: false
          schema:
            type:
              - string
              - 'null'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
          application/x-protobuf:
            schema:
              type: string
              format: binary
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 200 response.
        '400':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 400 response.
        '401':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 401 response.
        '403':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 403 response.
        '409':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 409 response.
        '413':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 413 response.
        '415':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 415 response.
        '429':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 429 response.
        '500':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 500 response.
        '503':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 503 response.
        '504':
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - details
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
            application/x-protobuf:
              schema:
                type: string
                format: binary
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````